# Installation

## npm

[![npm](https://img.shields.io/npm/v/chartjs-plugin-crosshair.svg?style=flat-square&maxAge=600)](https://npmjs.com/package/chartjs-plugin-crosshair) [![npm downloads](https://img.shields.io/npm/dm/chartjs-plugin-crosshair.svg?style=flat-square&maxAge=600)](https://npmjs.com/package/chartjs-plugin-crosshair)

    npm install chartjs-plugin-crosshair --save

## CDN

[![jsdelivr](https://img.shields.io/npm/v/chartjs-plugin-crosshair.svg?label=jsdelivr&style=flat-square&maxAge=600)](https://cdn.jsdelivr.net/npm/chartjs-plugin-crosshair@latest/dist/) [![jsdelivr hits](https://data.jsdelivr.com/v1/package/npm/chartjs-plugin-crosshair/badge)](https://www.jsdelivr.com/package/npm/chartjs-plugin-crosshair)

By default, `https://cdn.jsdelivr.net/npm/chartjs-plugin-crosshair` returns the latest (minified) version, however it's [**highly recommended**](https://www.jsdelivr.com/features) to always specify a version in order to avoid breaking changes. This can be achieved by appending `@{version}` to the url:

    https://cdn.jsdelivr.net/npm/chartjs-plugin-crosshair@1.2.0    // exact version
    https://cdn.jsdelivr.net/npm/chartjs-plugin-crosshair@1        // latest 1.x.x

Read more about jsDeliver versioning on their [website](http://www.jsdelivr.com/).

## Download

[![github](https://img.shields.io/github/release/abelheinsbroek/chartjs-plugin-crosshair.svg?style=flat-square&maxAge=600)](https://github.com/abelheinsbroek/chartjs-plugin-crosshair/releases/latest) [![github downloads](https://img.shields.io/github/downloads/abelheinsbroek/chartjs-plugin-crosshair/total.svg?style=flat-square&maxAge=600)](http://www.somsubhra.com/github-release-stats/?username=abelheinsbroek&repository=chartjs-plugin-crosshair)

You can download the latest version of `chartjs-plugin-crosshair` from the [GitHub releases](https://github.com/abelheinsbroek/chartjs-plugin-crosshair/releases/latest):

- `chartjs-plugin-crosshair.js` (recommended for development)
- `chartjs-plugin-crosshair.min.js` (recommended for production)

# Integration


chartjs-plugin-crosshair can be integrated with plain JavaScript or with different module loaders. The examples below show how to load the plugin in different systems.

## Script Tag

```html
<script src="path/to/chartjs/dist/chart.min.js"></script>
<script src="path/to/chartjs-plugin-crosshair/dist/chartjs-plugin-crosshair.min.js"></script>
<script>
    var myChart = new Chart(ctx, {...});
</script>
```

## Bundlers (Webpack, Rollup, etc.)

```js
import { Chart, Interaction } from 'chart.js';
import {CrosshairPlugin,Interpolate} from 'chartjs-plugin-crosshair';

Chart.register(CrosshairPlugin);
Interaction.modes.interpolate = Interpolate
```

